Ruby: JSON_ParserStruct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
JSON_ParserStruct Struct Reference

`#include <parser.h>`

## Data Fields
VALUE | Vsource
char * | source
long | len
char * | memo
VALUE | create_id
int | max_nesting
int | allow_nan
int | parsing_name
int | symbolize_names
int | freeze
VALUE | object_class
VALUE | array_class
VALUE | decimal_class
int | create_additions
VALUE | match_string
FBuffer * | fbuffer

## Detailed Description

Definition at line 30 of file parser.h.

## Field Documentation

## ◆ allow_nan

int JSON_ParserStruct::allow_nan

Definition at line 37 of file parser.h.

## ◆ array_class

VALUE JSON_ParserStruct::array_class

Definition at line 42 of file parser.h.

## ◆ create_additions

int JSON_ParserStruct::create_additions

Definition at line 44 of file parser.h.

## ◆ create_id

VALUE JSON_ParserStruct::create_id

Definition at line 35 of file parser.h.

## ◆ decimal_class

VALUE JSON_ParserStruct::decimal_class

Definition at line 43 of file parser.h.

## ◆ fbuffer

FBuffer* JSON_ParserStruct::fbuffer

Definition at line 46 of file parser.h.

## ◆ freeze

int JSON_ParserStruct::freeze

Definition at line 40 of file parser.h.

## ◆ len

long JSON_ParserStruct::len

Definition at line 33 of file parser.h.

## ◆ match_string

VALUE JSON_ParserStruct::match_string

Definition at line 45 of file parser.h.

## ◆ max_nesting

int JSON_ParserStruct::max_nesting

Definition at line 36 of file parser.h.

## ◆ memo

char* JSON_ParserStruct::memo

Definition at line 34 of file parser.h.

## ◆ object_class

VALUE JSON_ParserStruct::object_class

Definition at line 41 of file parser.h.

## ◆ parsing_name

int JSON_ParserStruct::parsing_name

Definition at line 38 of file parser.h.

## ◆ source

char* JSON_ParserStruct::source

Definition at line 32 of file parser.h.

## ◆ symbolize_names

int JSON_ParserStruct::symbolize_names

Definition at line 39 of file parser.h.

## ◆ Vsource

VALUE JSON_ParserStruct::Vsource

Definition at line 31 of file parser.h.

The documentation for this struct was generated from the following file:

- ext/json/parser/parser.h